## r-cran-assertthat 0.2.1

=== DESCRIPTION ===
Package: assertthat
Title: Easy Pre and Post Assertions
Version: 0.2.1
Authors@R: 
  person("Hadley", "Wickham", , "hadley@rstudio.com", c("aut", "cre"))
Description: An extension to stopifnot() that makes it easy to declare 
    the pre and post conditions that you code should satisfy, while also 
    producing friendly error messages so that your users know what's gone
    wrong.
License: GPL-3
Imports: tools
Suggests: testthat, covr
RoxygenNote: 6.0.1
Collate: 'assert-that.r' 'on-failure.r' 'assertions-file.r'
        'assertions-scalar.R' 'assertions.r' 'base.r'
        'base-comparison.r' 'base-is.r' 'base-logical.r' 'base-misc.r'
        'utils.r' 'validate-that.R'
NeedsCompilation: no
Packaged: 2019-03-21 13:11:01 UTC; hadley
Author: Hadley Wickham [aut, cre]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2019-03-21 14:53:46 UTC

## r-cran-assertthat 0.1

=== debian/changelog ===
r-cran-assertthat (0.1-1) unstable; urgency=low

  * Initial release (Closes: #818985)

 -- Andreas Tille <tille@debian.org>  Tue, 22 Mar 2016 16:24:55 +0100

=== debian/control ===
Source: r-cran-assertthat
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-assertthat/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-assertthat/trunk/
Homepage: https://cran.r-project.org/web/packages/assertthat/

Package: r-cran-assertthat
Architecture: all
Depends: ${misc:Depends},
         ${R:Depends}
Description: GNU R easy pre and post assertions
 Assertthat is an extension to stopifnot() that makes it easy to declare
 the pre and post conditions that you code should satisfy, while also
 producing friendly error messages so that your users know what they've
 done wrong.

## r-cran-assertthat 0.2.0

=== debian/changelog ===
r-cran-assertthat (0.2.0-1ubuntu1) bionic; urgency=medium

  * Fix autopkgtest: test-that.R was renamed to testthat.R

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 17 Nov 2017 15:06:55 +0000

r-cran-assertthat (0.2.0-1) unstable; urgency=medium

  * New upstream version
  * Move packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.0
  * Convert from cdbs to dh-r
  * Canonical homepage for CRAN packages

 -- Andreas Tille <tille@debian.org>  Thu, 28 Sep 2017 19:29:56 +0200

=== debian/control ===
Source: r-cran-assertthat
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev
Standards-Version: 4.1.0
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-assertthat.git/
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-assertthat.git/
Homepage: https://cran.r-project.org/package=yassertthat

Package: r-cran-assertthat
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R easy pre and post assertions
 Assertthat is an extension to stopifnot() that makes it easy to declare
 the pre and post conditions that you code should satisfy, while also
 producing friendly error messages so that your users know what they've
 done wrong.

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/assertthat_([-0-9\.]*).tar.gz

## r-cran-assertthat 0.2.1

=== debian/changelog ===
r-cran-assertthat (0.2.1-3) unstable; urgency=medium

  * Fix typo in Homepage
    Closes: #1081761
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 02 Dec 2025 20:26:08 +0100

r-cran-assertthat (0.2.1-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Fix field name case in debian/copyright (Upstream-name => Upstream-
    Name).

 -- Andreas Tille <tille@debian.org>  Fri, 15 May 2020 15:36:02 +0200

r-cran-assertthat (0.2.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Wed, 17 Jul 2019 16:54:21 +0200

r-cran-assertthat (0.2.0-2) unstable; urgency=medium

  [ Graham Inggs ]
  * Fix autopkgtest: test-that.R was renamed to testthat.R

  [ Andreas Tille ]
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Thu, 31 May 2018 09:36:11 +0200

=== debian/control ===
Source: r-cran-assertthat
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-assertthat
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-assertthat.git
Homepage: https://cran.r-project.org/package=assertthat
Standards-Version: 4.7.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev

Package: r-cran-assertthat
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R easy pre and post assertions
 Assertthat is an extension to stopifnot() that makes it easy to declare
 the pre and post conditions that you code should satisfy, while also
 producing friendly error messages so that your users know what they've
 done wrong.

=== debian/watch ===
Version:5

Source: https://cran.r-project.org/src/contrib/
Matching-Pattern: assertthat_([-0-9\.]*).tar.gz
